.Net FRAMEWORK 2.0 3.0 3.5

Diskutiere .Net FRAMEWORK 2.0 3.0 3.5 im Programmierung Forum im Bereich Software Forum; Hallo Zusammen! Ich hoffe Ihr könnt mir helfen!!! Also mein Laptop hat Vista... Installiert habe ich VB Studio Express 2005 inkl .net Framework...
T

Trini

Gast
Hallo Zusammen! Ich hoffe Ihr könnt mir helfen!!!

Also mein Laptop hat Vista...
Installiert habe ich VB Studio Express 2005 inkl .net Framework 2.0.
Ich brauche aber Framework 3.0 bzw. 3.5.
Habe dann in einem Forum gelesen unter Vista ist 3.0 schon installiert. Also habe ich bei Windowsfunktion 3.0 den Haken gesetzt.
Unter VB steht immer noch .net Framework 2.0 ???!!!
Wenn ich 3.5 installiere zeigt er ebenfalls 2.0 an.
Unter den Ordner Windows/Framework sind 2.0 3.0 3.5 vorhanden.
Unter Verwaltung ist auch nur die .net Framework 2.0 Konfiguartion.
Was mache ich jetzt??? Habe ich 3.5 drauf und die Programme erkennen das nicht oder muss ich noch irgendetwas einstellen???

ZUSATZ!!!!!
Habe ein Programm nun gefunden das anzeigt das 2.0 3.0 3.5 installiert sind. Aber wieso zeigt VB 2005 studio immer noch das .net framework 2.0???


Hoffe ihr könnt mir helfen.
 
Zuletzt bearbeitet:
DiableNoir

DiableNoir

Mitglied seit
18.01.2004
Beiträge
6.069
Die Installation des .NET Frameworks 3.0 bzw. 3.5 (SP1) reicht leider nicht aus. VS2005 ist für .NET 2.0 ausgelegt und unterstützt nur mit einer entprechenden Erweiterung höchtens .NET 3.0.

Es ist besser du machst ein Update auf VB 2008 Express...dort kannst du dann zwischen .NET 2.0 SP2, .NET 3.0 und .NET 3.5 (SP1) beim Erstellen eines Projektes auswählen.
 
T

Trini

Gast
OK Danke für die schnelle Antwort... Aber wieso steht unter Vista > Verwaltung > die .net Framework 2.0 Konfiguration und nicht die 3.5????

Das Problem ist, wenn ich mit meinem XP-Rechner (hat Studio 2008 + Framework 3.0) ein Programm Kompiliere und dort zufällig ein RTF-Steuerelement drin ist, ich bei meinem Vista Rechner einen Fehler bei der Ausführung bekomme.
Deshalb der ganze Hick-Hack. Da nicht jeder Studio 2008 hat, muss ich irgendeine Lösung finden.
 
DiableNoir

DiableNoir

Mitglied seit
18.01.2004
Beiträge
6.069
Die Einstellungen in der Vewaltung betreffen - anders als die Bezeichnung vermuten lässt - alle Frameworks von 2,0 bis 3,5 SP1.

Was dein Problem betrifft: Das liegt daran, dass es Service Packs gibt. Ein Programm mit .NET 2.0 SP2 läuft zB nicht unter .NET 2.0. Allerdings laufen alle .NET-Programme auf den neueren Versionen.

Es reicht wenn du auf der Zielplattform das aktuelle .NET 3.5 SP1 installierst. Darauf laufen dann auch Programme die mit älteren Frameworks erstellt wurden.

Visual Studio ist NUR für die Entwicklung zuständig und muss natürlich nicht auf dem Zielrechner installiert sein.

Edit:
Link zum Webinstaller der neuesten Version:
http://www.microsoft.com/downloads/details.aspx?FamilyID=ab99342f-5d1a-413d-8319-81da479ab0d7&DisplayLang=de
 
T

Trini

Gast
Es reicht wenn du auf der Zielplattform das aktuelle .NET 3.5 SP1 installierst. Darauf laufen dann auch Programme die mit älteren Frameworks erstellt wurden.
Na das kompilieren läuft auf einem XP-Rechner mit Framework 3.5. Der Ausführer der Assembly ist Vista mit Framework 3.5 und wie gesagt, sobald ein RTF-Steuerelemnt mitdrin ist kommt eine Fehler. Aber nur bei Vista Rechner ein anderer XP-Rechner klappt einwandtfrei auch mit Framework 2.0
 
DiableNoir

DiableNoir

Mitglied seit
18.01.2004
Beiträge
6.069
Ähmm...kann es sein, dass du aus versehen nicht das RTF-Control von .NET sondern die COM-Komponenten erschwischt hast?

Fahr doch mal mit der Maus über das Control in der Toolbox, dann wird dir Art und Version des Controls angezeigt.

Die Toolbar kannst du mit einem Rechtsklick darauf und "Zuürcksetzen" wiederherstellen.
 
T

Trini

Gast
Also das RTF-Control ist Version 1.0.0.0 von uns selbst erstellt .Net Component, also nicht Standard Microsoft.
Alle anderen Komponenten, die wir erstellt haben Datumeingabe etc gehen, nur nicht das RTF.
 
T

Trini

Gast
So habe noch mal alles durchgetestet:

XP-PC 1 kompiliert Programm mit VB Studio 2008 Framework 3.0

Vista-PC 1 will Anwendung starten > Fehlermeldung (aber nur das Programm, wo ein RTF dabei ist) (.net Framework 3.5)

XP-PC 2 will Anwendung starten, alles klappt ohne Fehler
(.net Framework 2.0)

Vista-PC 2 will Anwendung starten, Fehler wie bei Vista-PC 1
(.net Framework 3.0)

Kann doch nicht sein, das Vista so zickt
 
DiableNoir

DiableNoir

Mitglied seit
18.01.2004
Beiträge
6.069
Dann stimmt etwas mit den Abhängigkeiten von dem RTF-Control nicht. Evtl. klappt es aber, wenn du das Control auf .NET > 2.0 migrierst. .NET 1.x nimmt nämlich bei einigen Dingen eine Sonderrolle ein und es kann sein, dass das Control explizit von .NET 1.x abhängig ist. (Dieses wird wohl auch auf dem XP-Rechner vorhanden sein.)

Außerdem solltest du andere Abhängigkeiten auf evtl. COM-Komponenten suchen.
 
Thema:

.Net FRAMEWORK 2.0 3.0 3.5

.Net FRAMEWORK 2.0 3.0 3.5 - Ähnliche Themen

  • Probleme bei der Installation von .NET Framework(jegliche Version)

    Probleme bei der Installation von .NET Framework(jegliche Version): Schönen guten Tag, Ich habe heute ,mich dazu entschieden, mein .NET Framework zu updaten, da ein Programm welches ich Installieren wollte, meinte...
  • Probleme mit .NET Framework 3.5 (Fehlercode 0x8007000D)

    Probleme mit .NET Framework 3.5 (Fehlercode 0x8007000D): Guten Tag, Beim Start eines Programmes, erscheint mit die Meldung, dass .NET Framework 3.5 (enthält .NET 2.0 und 3.0) nicht installiert ist...
  • Install. von .Net Framework 4.7.2. fehlerhaft

    Install. von .Net Framework 4.7.2. fehlerhaft: Ich benötige für ein Programmupdate o.g. Framework (KB405466). Leider gelingt das Update nicht, Fehlermeldung Code 80082004. Was kann ich noch...
  • Programme nicht mehr installierbar wegen Net. Framework problemen

    Programme nicht mehr installierbar wegen Net. Framework problemen: Hallo zusammen, seit ich Windows neu aufgesetzt habe kann ich viele Programme nicht neu installieren, da die Microsoft .NET Framewok version 4.5...
  • .net framework 4.5.2 nach auffrischung

    .net framework 4.5.2 nach auffrischung: Hallo zusammen, ich musste vor kurzem meinen PC "auffrischen" und wollte im Anschluss Nordvpn installieren. Hierfür scheint jedoch das o.g...
  • Ähnliche Themen

    Oben